package com.beagle.base.service.impl;


import com.beagle.base.bean.vo.BasePointsPropertiesNewParam;
import com.beagle.base.bean.vo.BasePointsPropertiesParam;
import com.beagle.base.bean.vo.BaseSearchParam;
import com.beagle.base.bean.vo.BaseSearchPointCountParam;
import com.beagle.base.bean.vo.BaseTableTagNamesParam;
import com.beagle.base.common.util.BaseUtil;
import com.beagle.base.service.BaseService;
import com.rtdb.model.FullPoint;
import com.rtdb.model.MinPoint;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @author lzz
 */
@Service
@Slf4j
public class BaseServiceImpl implements BaseService {

    @Override
    public int[] search(BaseSearchParam param) {
        return BaseUtil.search(param);
    }

    @Override
    public List<FullPoint> getPointsProperties(BasePointsPropertiesParam param) {
        return BaseUtil.getPointsProperties(param);
    }

    @Override
    public Integer searchPointCount(BaseSearchPointCountParam param) {
        return BaseUtil.searchPointCount(param);
    }

    @Override
    public String[] getTableTagNames(BaseTableTagNamesParam param) {
        return BaseUtil.getTableTagNames(param);
    }

    @Override
    public List<MinPoint> getPointsPropertiesTags(BasePointsPropertiesNewParam param) {
        return BaseUtil.getPointsPropertiesTags(param);
    }
}
